## createrepo-c 0.10.4

=== CMakeLists.txt ===
PROJECT (createrepo_c C)
CMAKE_MINIMUM_REQUIRED (VERSION 2.6)

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS} -ggdb -g -Wall -Wextra -Og")
IF(NOT CMAKE_BUILD_TYPE)
    SET(CMAKE_BUILD_TYPE RelWithDebInfo CACHE STRING
        "Choose the type of build, options are: None Debug Release RelWithDebInfo MinSizeRel."
        FORCE)
ENDIF(NOT CMAKE_BUILD_TYPE)

IF(CMAKE_BUILD_TYPE AND CMAKE_BUILD_TYPE STREQUAL "DEBUG")
    MESSAGE("Build type is set do DEBUG! (Used flags: \"${CMAKE_C_FLAGS_DEBUG}\")")
ENDIF()


# Add path with own cmake modules

INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR})
set(CMAKE_MODULE_PATH ${CMAKE_MODULE_PATH} "${CMAKE_SOURCE_DIR}/cmake/Modules/")

SET(G_LOG_DOMAIN "C_CREATEREPOLIB")

# Find necessary libraries

find_package(BZip2 REQUIRED)
find_package(CURL REQUIRED)
find_package(EXPAT REQUIRED)
find_package(GLIB2 REQUIRED)
find_package(GTHREAD2 REQUIRED)
find_package(Libmagic REQUIRED)
find_package(LibXml2 REQUIRED)
find_package(LZMA REQUIRED)
find_package(OpenSSL REQUIRED)
find_package(Sqlite3 REQUIRED)
find_package(ZLIB REQUIRED)

# Add include dirs

include_directories(${GLIB2_INCLUDE_DIRS})
include_directories(${LIBXML2_INCLUDE_DIR})


IF (RPM_PATH)
    SET (RPM_PATH "/home/tmlcoch/git/rpm")
    include_directories("${RPM_PATH}/include/")
    SET(RPMDB_LIBRARY "${RPM_PATH}/rpmio/.libs/librpmio.so"
                      "${RPM_PATH}/lib/.libs/librpm.so")
    message("Using custom RPM: ${RPMDB_LIBRARY}")
ELSE (RPM_PATH)
    # rpm:
    FIND_LIBRARY (RPMDB_LIBRARY NAMES rpmdb)
    IF (NOT RPMDB_LIBRARY)
        FIND_LIBRARY (RPMDB_LIBRARY NAMES rpm)
        IF (NOT RPMDB_LIBRARY)
            MESSAGE(FATAL_ERROR "No Rpm library installed")
        ENDIF (NOT RPMDB_LIBRARY)
    ENDIF (NOT RPMDB_LIBRARY)


    # rpmio:
    FIND_LIBRARY (RPMIO_LIBRARY NAMES rpmio)
    IF (RPMIO_LIBRARY)
        SET(RPMDB_LIBRARY ${RPMIO_LIBRARY} ${RPMDB_LIBRARY})
    ELSE (RPMIO_LIBRARY)
        MESSAGE(FATAL_ERROR "No Rpmio library installed")
    ENDIF (RPMIO_LIBRARY)

    message("Using system RPM: ${RPMDB_LIBRARY}")
ENDIF (RPM_PATH)

# SuSE legacy weak deps support
OPTION (ENABLE_LEGACY_WEAKDEPS "Enable legacy SUSE weakdeps support?" OFF)
IF (ENABLE_LEGACY_WEAKDEPS)
    ADD_DEFINITIONS("-DENABLE_LEGACY_WEAKDEPS=1")
ENDIF (ENABLE_LEGACY_WEAKDEPS)

# drpm
OPTION (ENABLE_DRPM "Enable delta RPM support?" ON)
IF (ENABLE_DRPM)
    if (DRPM_PATH)
        include_directories (${DRPM_PATH}/)
        find_library (DRPM_LIBRARY NAMES drpm PATHS ${DRPM_PATH}/ NO_DEFAULT_PATH)
        set(CR_DELTA_RPM_SUPPORT "1")
        message("Using custom DRPM: ${DRPM_LIBRARY}")
    ELSE (DRPM_PATH)
        FIND_LIBRARY (DRPM_LIBRARY NAMES drpm libdrpm.so.0)
        IF (NOT DRPM_LIBRARY)
            MESSAGE("No DRPM library installed")
        ELSE (NOT DRPM_LIBRARY)
            MESSAGE("Using DRPM library: ${DRPM_LIBRARY}")
            set(CR_DELTA_RPM_SUPPORT "1")
        ENDIF (NOT DRPM_LIBRARY)
    endif (DRPM_PATH)

    IF (CR_DELTA_RPM_SUPPORT)
        ADD_DEFINITIONS("-DCR_DELTA_RPM_SUPPORT")
    ENDIF (CR_DELTA_RPM_SUPPORT)
ENDIF (ENABLE_DRPM)

# option to enable/disable python support
OPTION (ENABLE_PYTHON "Enable python support?" ON)

# Threaded XZ Compression
# Note: This option is disabled by default, because Createrepo_c
# parallelize a lot of tasks (including compression) by default, this
# only adds extra threads on XZ library level which causes thread bloat
# and for most usecases doesn't bring any performance boost.
# On regular hardware (e.g. less-or-equal 4 cores) this option may even
# cause degradation of performance.
OPTION(ENABLE_THREADED_XZ_ENCODER "Enable threaded XZ encoder?" OFF)
IF (ENABLE_THREADED_XZ_ENCODER)
    ADD_DEFINITIONS("-DENABLE_THREADED_XZ_ENCODER=1")
ENDIF (ENABLE_THREADED_XZ_ENCODER)

# Get package version
INCLUDE (${CMAKE_SOURCE_DIR}/VERSION.cmake)
SET (VERSION "${CR_MAJOR}.${CR_MINOR}.${CR_PATCH}")
message("Package version: ${VERSION}")


# Default python version
if (NOT PYTHON_DESIRED)
    set (PYTHON_DESIRED "2")
endif()

# Other files

pkg_check_modules(BASHCOMP bash-completion)
if (BASHCOMP_FOUND)
    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=completionsdir bash-completion OUTPUT_VARIABLE BASHCOMP_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
    message("Bash completion directory: ${BASHCOMP_DIR}")
    INSTALL(FILES createrepo_c.bash DESTINATION ${BASHCOMP_DIR} RENAME createrepo_c)
    INSTALL(CODE "
        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/mergerepo_c)
        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/modifyrepo_c)
        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/sqliterepo_c)
        ")
ELSE (BASHCOMP_FOUND)
    INSTALL(FILES createrepo_c.bash DESTINATION "/etc/bash_completion.d")
    message("Bash completion directory: /etc/bash_completion.d")
endif (BASHCOMP_FOUND)


# Gen manpage

#message("Gen manpage")
#execute_process(COMMAND bash gen_manpage.sh src/cmd_parser.c ../doc/ WORKING_DIRECTORY utils/)

# Add custom target for tests

ADD_CUSTOM_TARGET(tests)


# Subdirs

ADD_SUBDIRECTORY (src)
ADD_SUBDIRECTORY (doc)
ENABLE_TESTING()
ADD_SUBDIRECTORY (tests EXCLUDE_FROM_ALL)

=== tests/CMakeLists.txt ===
ADD_EXECUTABLE(test_checksum test_checksum.c)
TARGET_LINK_LIBRARIES(test_checksum libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_checksum)

ADD_EXECUTABLE(test_compression_wrapper test_compression_wrapper.c)
TARGET_LINK_LIBRARIES(test_compression_wrapper libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_compression_wrapper)

ADD_EXECUTABLE(test_load_metadata test_load_metadata.c)
TARGET_LINK_LIBRARIES(test_load_metadata libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_load_metadata)

ADD_EXECUTABLE(test_misc test_misc.c)
TARGET_LINK_LIBRARIES(test_misc libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_misc)

ADD_EXECUTABLE(test_sqlite test_sqlite.c)
TARGET_LINK_LIBRARIES(test_sqlite libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_sqlite)

ADD_EXECUTABLE(test_xml_file test_xml_file.c)
TARGET_LINK_LIBRARIES(test_xml_file libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_xml_file)

ADD_EXECUTABLE(test_xml_parser_filelists test_xml_parser_filelists.c)
TARGET_LINK_LIBRARIES(test_xml_parser_filelists libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_xml_parser_filelists)

ADD_EXECUTABLE(test_xml_parser_repomd test_xml_parser_repomd.c)
TARGET_LINK_LIBRARIES(test_xml_parser_repomd libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_xml_parser_repomd)

ADD_EXECUTABLE(test_xml_parser_updateinfo test_xml_parser_updateinfo.c)
TARGET_LINK_LIBRARIES(test_xml_parser_updateinfo libcreaterepo_c ${GLIB2_LIBRARIES})
ADD_DEPENDENCIES(tests test_xml_parser_updateinfo)

CONFIGURE_FILE("run_gtester.sh.in"  "${CMAKE_BINARY_DIR}/tests/run_gtester.sh")
ADD_TEST(test_main run_gtester.sh)

IF (ENABLE_PYTHON)
ADD_SUBDIRECTORY(python)
ENDIF (ENABLE_PYTHON)

=== src/python/CMakeLists.txt ===
if (${PYTHON_DESIRED} STREQUAL "2")
    unset(PYTHON_LIBRARY)
    unset(PYTHON_INCLUDE_DIR)
    unset(PYTHON_EXECUTABLE)
    unset(PYTHON_LIBRARY CACHE)
    unset(PYTHON_INCLUDE_DIR CACHE)
    unset(PYTHON_EXECUTABLE CACHE)
    FIND_PACKAGE(PythonLibs 2)
    FIND_PACKAGE(PythonInterp 2 REQUIRED)
else()
    SET(Python_ADDITIONAL_VERSIONS 3.0)
    unset(PYTHON_LIBRARY)
    unset(PYTHON_INCLUDE_DIR)
    unset(PYTHON_EXECUTABLE)
    unset(PYTHON_LIBRARY CACHE)
    unset(PYTHON_INCLUDE_DIR CACHE)
    unset(PYTHON_EXECUTABLE CACHE)
    FIND_PACKAGE(PythonLibs 3.0)
    FIND_PACKAGE(PythonInterp 3.0 REQUIRED)
endif()

EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from distutils import sysconfig; stdout.write(sysconfig.get_python_lib(True))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
INCLUDE_DIRECTORIES (${PYTHON_INCLUDE_PATH})

MESSAGE(STATUS "Python install dir is ${PYTHON_INSTALL_DIR}")

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-strict-aliasing")
set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-strict-aliasing")
set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -fno-strict-aliasing")

IF (${CMAKE_VERSION} VERSION_LESS "2.8.0")
    CONFIGURE_FILE(__init__.py "src/python/createrepo_c/__init__.py" COPYONLY)
ELSE()
    FILE(COPY __init__.py DESTINATION ./createrepo_c/)
ENDIF()

SET (createrepo_cmodule_SRCS
     checksum-py.c
     compression_wrapper-py.c
     contentstat-py.c
     createrepo_cmodule.c
     exception-py.c
     load_metadata-py.c
     locate_metadata-py.c
     misc-py.c
     package-py.c
     parsepkg-py.c
     repomd-py.c
     repomdrecord-py.c
     sqlite-py.c
     typeconversion.c
     updatecollection-py.c
     updatecollectionpackage-py.c
     updateinfo-py.c
     updaterecord-py.c
     updatereference-py.c
     xml_dump-py.c
     xml_file-py.c
     xml_parser-py.c
    )

ADD_LIBRARY(_createrepo_c SHARED ${createrepo_cmodule_SRCS})
SET_TARGET_PROPERTIES(_createrepo_c PROPERTIES PREFIX "")
SET_TARGET_PROPERTIES(_createrepo_c PROPERTIES LIBRARY_OUTPUT_DIRECTORY "./createrepo_c")
TARGET_LINK_LIBRARIES(_createrepo_c libcreaterepo_c)
TARGET_LINK_LIBRARIES(_createrepo_c
                        ${EXPAT_LIBRARIES}
                        ${CURL_LIBRARY}
                        ${PYTHON_LIBRARY}
                     )

INSTALL(FILES __init__.py DESTINATION ${PYTHON_INSTALL_DIR}/createrepo_c)
INSTALL(TARGETS _createrepo_c LIBRARY DESTINATION ${PYTHON_INSTALL_DIR}/createrepo_c)

## createrepo-c 0.10.3

=== debian/changelog ===
createrepo-c (0.10.3) unstable; urgency=low

  * Compatible with createrepo package

 -- Biao Wang <biao716.wang@samsung.com> Fri, 16  Oct 2020 11:07:00 +0900

createrepo-c (0.10.2) unstable; urgency=low

  * Add module path for _createrepo.so
  * Fix pylint error for createrepo_c
  * Remove filter function cr_is_primary to keep the same behavior as createrepo
  * Fix ubuntu16.04 import _createrepo_c error

 -- Biao Wang <biao716.wang@samsung.com> Wed, 27  May 2020 11:07:00 +0900

createrepo-c (0.10.1) unstable; urgency=low

  * Enable RPM_WEAK_DEPS_SUPPORT and ENABLE_LEGACY_WEAKDEPS

 -- SoonKyu Park <sk7.park@samsung.com> Sat, 25  Mar 2017 11:07:00 +0900

createrepo-c (0.10.0) unstable; urgency=low

  * add debian 

 -- Shuai Fu <shuai01.fu@samsung.com> Wed, 09 Jul 2014 10:09:30 +0800

=== debian/control ===
Source: createrepo-c
Section: devel
Priority: extra
Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
Build-Depends: debhelper (>= 7.0.15), cdbs, libpython2.7, python-dev, dh-python, python-docutils, cmake, dpatch, libbz2-dev, librpm-dev, liblzma-dev, libcurl3 | libcurl4, libcurl4-openssl-dev, libmagic-dev, libexpat1, doxygen, pkg-config, libglib2.0-dev, libssl-dev
Standards-Version: 0.10.3
Homepage: http://www.tizen.org

Package: createrepo-c
Architecture: i386 amd64
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 libpython2.7,
 libcurl3 | libcurl4,
 libxml2,
 gzip,
 createrepo-c-devel (= ${binary:Version}),
 libglib2.0-0,
 libglib2.0-data
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

Package: createrepo-c-devel
Architecture: i386 amd64
Depends:  ${python:Depends},
 rpm,
 python-rpm,
 python-urlgrabber,
 cpio,
 bzip2,
 libcreaterepo-c,
 gzip
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

Package: libcreaterepo-c
Architecture: i386 amd64
Depends:  ${python:Depends},
 cpio,
 bzip2,
 libcurl3 | libcurl4,
 libxml2,
 gzip,
 libglib2.0-0,
 libglib2.0-data
Description: image creator for Linux distributions
  The tool createrep is used to ppfarm test

## createrepo-c 0.10.4

=== debian/changelog ===
createrepo-c (0.10.4) unstable; urgency=low

  * Fix setup of logging (log domains) (RhBug:1645897)

 -- Biao Wang <biao716.wang@samsung.com> Mon, 05  Jul 2021 11:07:00 +0900

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: extra
 Maintainer: Jian-feng Ding <jian-feng.ding@intel.com>
 Build-Depends: debhelper (>= 7.0.15), cdbs, libpython2.7, python-dev, dh-python, python-docutils, cmake, dpatch, libbz2-dev, librpm-dev, liblzma-dev, libcurl3 | libcurl4, libcurl4-openssl-dev, libmagic-dev, libexpat1, doxygen, pkg-config, libglib2.0-dev, libssl-dev
-Standards-Version: 0.10.3
+Standards-Version: 0.10.4
 Homepage: http://www.tizen.org
 
 Package: createrepo-c

=== debian/rules ===
#!/usr/bin/make -f
# Uncomment this to turn on verbose mode.


#export DH_VERBOSE=1

build: build-stamp
build-stamp:
	dh_testdir
	cmake -DCMAKE_SKIP_RPATH=ON -DCMAKE_INSTALL_PREFIX=/usr -DENABLE_LEGACY_WEAKDEPS=ON
	make

clean:
	dh_testdir
	dh_testroot
	rm -f build-stamp

	dh_clean

install: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs

	# Installing package
	make DESTDIR=$(CURDIR) sysconfdir=$(CURDIR)/etc install
	if [ -e usr/lib64 ]; then cp -arf  usr/lib64/* usr/lib/; fi
	#To compatible with createrepo
	for i in createrepo mergerepo modifyrepo sqliterepo;do \
		ln -s /usr/bin/$$i\_c $(CURDIR)/usr/bin/$$i; \
		echo ".so man8/$$i\_c.8" > $(CURDIR)/usr/share/man/man8/$$i\.8; \
	done
#	cat src/python/__init__.py
#	ls -R
binary-indep: build install
	dh_testdir
	dh_testroot
	dh_installchangelogs
	dh_installdocs
	dh_install
	dh_installman
	dh_link
	dh_strip
	dh_compress
	dh_fixperms
	dh_python2
	dh_installdeb
#	dh_shlibdeps -l/$(CURDIR)/usr/lib
	dh_gencontrol
	dh_md5sums
	dh_builddeb

binary-arch: build install

binary: binary-indep binary-arch
.PHONY: build clean binary-indep binary-arch binary install

## createrepo-c 0.16.1

=== debian/changelog ===
createrepo-c (0.16.1-1) unstable; urgency=medium

  * Initial release. Closes: #912338

 -- Peter Pentchev <roam@debian.org>  Sun, 18 Oct 2020 18:05:53 +0300

=== debian/control ===
Source: createrepo-c
Section: utils
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 bash-completion,
 check <!nocheck>,
 cmake,
 debhelper-compat (= 13),
 dh-sequence-python3,
 libbz2-dev,
 libcurl4-openssl-dev,
 libdrpm-dev,
 libglib2.0-dev,
 liblzma-dev,
 libmagic-dev,
 libmodulemd-dev,
 librpm-dev,
 libssl-dev,
 libsqlite3-dev,
 libxml2-dev,
 libzck-dev,
 python3-dev,
 python3-nose <!nocheck>,
 rpm <!nocheck>,
 zchunk <!nocheck>,
 zlib1g-dev
Standards-Version: 4.5.0
Homepage: https://github.com/rpm-software-management/createrepo_c/
#Vcs-Git: https://gitlab.com/confget/confget.git -b debian
#Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
Rules-Requires-Root: no

Package: createrepo-c
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: foreign
Description: tool to create RPM repository metadata (C implementation)
 The createrepo_c tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package is similar to the apt-ftparchive or reprepro commands, but for
 working with RPM repositories.

Package: libcreaterepo-c0
Section: libs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Multi-Arch: same
Description: library for creating RPM repository metadata
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a shared library for managing RPM repositories.

Package: libcreaterepo-c-dev
Section: libdevel
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 libbz2-dev,
 libcurl4-openssl-dev,
 libglib2.0-dev,
 liblzma-dev,
 libmagic-dev,
 libpython3-dev,
 librpm-dev,
 libssl-dev,
 libsqlite3-dev,
 libxml2-dev,
 python3-nose,
 zlib1g-dev,
 ${misc:Depends}
Multi-Arch: same
Description: library for creating RPM repository metadata (development)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains the header files needed for developing programs
 using the libcreaterepo-c library.

Package: python3-createrepo-c
Section: python
Architecture: any
Depends:
 libcreaterepo-c0 (= ${binary:Version}),
 ${python3:Depends},
 ${shlibs:Depends},
 ${misc:Depends}
Multi-Arch: foreign
Description: library for creating RPM repository metadata (Python bindings)
 The createrepo tool generates the repodata directory and XML metadata that
 makes up a repository of RPM packages. This repository format is supported
 by apt-rpm, red-carpet(zen), smartpm, up2date, yast, and yum.
 .
 This package contains a Python module for interfacing with
 the libcreaterepo-c library.

=== debian/rules ===
#!/usr/bin/make -f

# Aim for the top, adapt if anything should break on the buildds.
DEB_BUILD_MAINT_OPTIONS=	hardening=+all future=+lfs
export DEB_BUILD_MAINT_OPTIONS

D=	${CURDIR}/debian
MARCH:=	$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)

%:
	dh "$@" --buildsystem cmake

execute_after_dh_auto_test:
	env PYTHONPATH='obj-${MARCH}/src/python' PATH="${CURDIR}/obj-${MARCH}/src:$$PATH" python3 -B '$D/tests/repotest.py' --source '$D/tests/pkg/foo-0.1.0' --spec '$D/tests/pkg/foo.spec'

override_dh_makeshlibs:
	dh_makeshlibs -- -c4

## createrepo-c 0.16.2

=== debian/changelog ===
createrepo-c (0.16.2-1build1) hirsute; urgency=medium

  * No-change rebuild for rpm soname changes.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 02 Jan 2021 11:26:12 +0100

createrepo-c (0.16.2-1) unstable; urgency=medium

  * Add the python-path patch to use /usr/bin/python3 for tests and
    examples.
  * Declare compliance with Policy 4.5.1 with no changes.
  * Add a trivial git-buildpackage config file.
  * New upstream version.

 -- Peter Pentchev <roam@debian.org>  Sun, 29 Nov 2020 18:23:14 +0200

## createrepo-c 0.17.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,7 @@
 PROJECT (createrepo_c C)
-CMAKE_MINIMUM_REQUIRED (VERSION 2.6)
+CMAKE_MINIMUM_REQUIRED (VERSION 2.8.10)
+
+include(GNUInstallDirs)
 
 set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -std=gnu99")
 set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS} -ggdb -g -Wall -Wextra -Og")
@@ -14,6 +16,14 @@
 ENDIF()
 
 
+option(BUILD_LIBCREATEREPO_C_SHARED "Build libcreaterepo_c as a shared library" ON)
+if(NOT BUILD_LIBCREATEREPO_C_SHARED)
+  set(CMAKE_POSITION_INDEPENDENT_CODE 1)
+endif()
+
+option(CREATEREPO_C_INSTALL_DEVELOPMENT "Install createrepo_c development files." ON)
+option(CREATEREPO_C_INSTALL_MANPAGES "Install createrepo_c man-pages." ON)
+
 # Add path with own cmake modules
 
 INCLUDE_DIRECTORIES (${CMAKE_SOURCE_DIR})
@@ -25,7 +35,6 @@
 
 find_package(BZip2 REQUIRED)
 find_package(CURL REQUIRED)
-find_package(EXPAT REQUIRED)
 find_package(GLIB2 REQUIRED)
 find_package(GTHREAD2 REQUIRED)
 find_package(Libmagic REQUIRED)
@@ -37,8 +46,12 @@
 
 # Add include dirs
 
+include_directories(${BZIP2_INCLUDE_DIRS})
+include_directories(${CURL_INCLUDE_DIRS})
 include_directories(${GLIB2_INCLUDE_DIRS})
 include_directories(${LIBXML2_INCLUDE_DIR})
+include_directories(${OPENSSL_INCLUDE_DIR})
+include_directories(${ZLIB_INCLUDE_DIR})
 
 
 IF (RPM_PATH)
@@ -69,37 +82,38 @@
     message("Using system RPM: ${RPMDB_LIBRARY}")
 ENDIF (RPM_PATH)
 
-# SuSE legacy weak deps support
-OPTION (ENABLE_LEGACY_WEAKDEPS "Enable legacy SUSE weakdeps support?" OFF)
+# SuSE/Mageia/Mandriva legacy weak deps support
+OPTION (ENABLE_LEGACY_WEAKDEPS "Enable legacy SUSE/Mageia/Mandriva weakdeps support?" ON)
 IF (ENABLE_LEGACY_WEAKDEPS)
     ADD_DEFINITIONS("-DENABLE_LEGACY_WEAKDEPS=1")
 ENDIF (ENABLE_LEGACY_WEAKDEPS)
 
 # drpm
-OPTION (ENABLE_DRPM "Enable delta RPM support?" ON)
+OPTION (ENABLE_DRPM "Enable delta RPM support?" OFF)
 IF (ENABLE_DRPM)
-    if (DRPM_PATH)
-        include_directories (${DRPM_PATH}/)
-        find_library (DRPM_LIBRARY NAMES drpm PATHS ${DRPM_PATH}/ NO_DEFAULT_PATH)
-        set(CR_DELTA_RPM_SUPPORT "1")
-        message("Using custom DRPM: ${DRPM_LIBRARY}")
-    ELSE (DRPM_PATH)
-        FIND_LIBRARY (DRPM_LIBRARY NAMES drpm libdrpm.so.0)
-        IF (NOT DRPM_LIBRARY)
-            MESSAGE("No DRPM library installed")
-        ELSE (NOT DRPM_LIBRARY)
-            MESSAGE("Using DRPM library: ${DRPM_LIBRARY}")
-            set(CR_DELTA_RPM_SUPPORT "1")
-        ENDIF (NOT DRPM_LIBRARY)
-    endif (DRPM_PATH)
-
-    IF (CR_DELTA_RPM_SUPPORT)
-        ADD_DEFINITIONS("-DCR_DELTA_RPM_SUPPORT")
-    ENDIF (CR_DELTA_RPM_SUPPORT)
+    pkg_check_modules(DRPM REQUIRED drpm>=0.4.0)
+    include_directories (${DRPM_INCLUDE_DIRS})
+    ADD_DEFINITIONS("-DCR_DELTA_RPM_SUPPORT")
 ENDIF (ENABLE_DRPM)
 
 # option to enable/disable python support
 OPTION (ENABLE_PYTHON "Enable python support?" ON)
+
+OPTION (WITH_ZCHUNK "Build with zchunk support" ON)
+IF (WITH_ZCHUNK)
+    pkg_check_modules(ZCK REQUIRED zck)
+    include_directories(${ZCK_INCLUDE_DIRS})
+    SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DWITH_ZCHUNK")
+    SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DWITH_ZCHUNK")
+ENDIF (WITH_ZCHUNK)
+
+OPTION (WITH_LIBMODULEMD "Build with libmodulemd support" ON)
+IF (WITH_LIBMODULEMD)
+	find_package(LIBMODULEMD REQUIRED)
+	include_directories(${LIBMODULEMD_INCLUDE_DIRS})
+	SET (CMAKE_C_FLAGS          "${CMAKE_C_FLAGS} -DWITH_LIBMODULEMD")
+    SET (CMAKE_C_FLAGS_DEBUG    "${CMAKE_C_FLAGS_DEBUG} -DWITH_LIBMODULEMD")
+ENDIF (WITH_LIBMODULEMD)
 
 # Threaded XZ Compression
 # Note: This option is disabled by default, because Createrepo_c
@@ -118,28 +132,25 @@
 SET (VERSION "${CR_MAJOR}.${CR_MINOR}.${CR_PATCH}")
 message("Package version: ${VERSION}")
 
-
-# Default python version
-if (NOT PYTHON_DESIRED)
-    set (PYTHON_DESIRED "2")
-endif()
-
 # Other files
 
-pkg_check_modules(BASHCOMP bash-completion)
-if (BASHCOMP_FOUND)
-    execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=completionsdir bash-completion OUTPUT_VARIABLE BASHCOMP_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
-    message("Bash completion directory: ${BASHCOMP_DIR}")
-    INSTALL(FILES createrepo_c.bash DESTINATION ${BASHCOMP_DIR} RENAME createrepo_c)
-    INSTALL(CODE "
-        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/mergerepo_c)
-        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/modifyrepo_c)
-        execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/sqliterepo_c)
-        ")
-ELSE (BASHCOMP_FOUND)
-    INSTALL(FILES createrepo_c.bash DESTINATION "/etc/bash_completion.d")
-    message("Bash completion directory: /etc/bash_completion.d")
-endif (BASHCOMP_FOUND)
+OPTION(ENABLE_BASHCOMP "Install Bash autocompletions?" ON)
+IF (ENABLE_BASHCOMP)
+    pkg_check_modules(BASHCOMP bash-completion)
+    IF (BASHCOMP_FOUND)
+        execute_process(COMMAND ${PKG_CONFIG_EXECUTABLE} --variable=completionsdir bash-completion OUTPUT_VARIABLE BASHCOMP_DIR OUTPUT_STRIP_TRAILING_WHITESPACE)
+        message("Bash completion directory: ${BASHCOMP_DIR}")
+        INSTALL(FILES createrepo_c.bash DESTINATION ${BASHCOMP_DIR} RENAME createrepo_c)
+        INSTALL(CODE "
+            execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/mergerepo_c)
+            execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/modifyrepo_c)
+            execute_process(COMMAND ${CMAKE_COMMAND} -E create_symlink createrepo_c \$ENV{DESTDIR}${BASHCOMP_DIR}/sqliterepo_c)
+            ")
+    ELSEIF (BASHCOMP_FOUND)
+        INSTALL(FILES createrepo_c.bash DESTINATION "/etc/bash_completion.d")
+        message("Bash completion directory: /etc/bash_completion.d")
+    ENDIF (BASHCOMP_FOUND)
+ENDIF (ENABLE_BASHCOMP)
 
 
 # Gen manpage

=== tests/CMakeLists.txt ===
--- 
+++ 
@@ -9,6 +9,10 @@
 ADD_EXECUTABLE(test_load_metadata test_load_metadata.c)
 TARGET_LINK_LIBRARIES(test_load_metadata libcreaterepo_c ${GLIB2_LIBRARIES})
 ADD_DEPENDENCIES(tests test_load_metadata)
+
+ADD_EXECUTABLE(test_locate_metadata test_locate_metadata.c)
+TARGET_LINK_LIBRARIES(test_locate_metadata libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_locate_metadata)
 
 ADD_EXECUTABLE(test_misc test_misc.c)
 TARGET_LINK_LIBRARIES(test_misc libcreaterepo_c ${GLIB2_LIBRARIES})
@@ -34,6 +38,22 @@
 TARGET_LINK_LIBRARIES(test_xml_parser_updateinfo libcreaterepo_c ${GLIB2_LIBRARIES})
 ADD_DEPENDENCIES(tests test_xml_parser_updateinfo)
 
+ADD_EXECUTABLE(test_xml_dump test_xml_dump.c)
+TARGET_LINK_LIBRARIES(test_xml_dump libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_xml_dump)
+
+ADD_EXECUTABLE(test_xml_dump_primary test_xml_dump_primary.c)
+TARGET_LINK_LIBRARIES(test_xml_dump_primary libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_xml_dump_primary)
+
+ADD_EXECUTABLE(test_koji test_koji.c)
+TARGET_LINK_LIBRARIES(test_koji libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_koji)
+
+ADD_EXECUTABLE(test_modifyrepo_shared test_modifyrepo_shared.c)
+TARGET_LINK_LIBRARIES(test_modifyrepo_shared libcreaterepo_c ${GLIB2_LIBRARIES})
+ADD_DEPENDENCIES(tests test_modifyrepo_shared)
+
 CONFIGURE_FILE("run_gtester.sh.in"  "${CMAKE_BINARY_DIR}/tests/run_gtester.sh")
 ADD_TEST(test_main run_gtester.sh)

=== src/python/CMakeLists.txt ===
MACRO(PYTHON_UNSET)
    unset(PYTHON_LIBRARY)
    unset(PYTHON_INCLUDE_DIR)
    unset(PYTHON_EXECUTABLE)
    unset(PYTHON_LIBRARY CACHE)
    unset(PYTHON_INCLUDE_DIR CACHE)
    unset(PYTHON_EXECUTABLE CACHE)
ENDMACRO(PYTHON_UNSET)

if (NOT SKBUILD)
    PYTHON_UNSET()
    SET(Python_ADDITIONAL_VERSIONS 3.0 CACHE INTERNAL "")
    FIND_PACKAGE(PythonLibs 3 EXACT)
    FIND_PACKAGE(PythonInterp 3 EXACT REQUIRED)
endif (NOT SKBUILD)

EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} -c "from sys import stdout; from distutils import sysconfig; stdout.write(sysconfig.get_python_lib(True))" OUTPUT_VARIABLE PYTHON_INSTALL_DIR)
INCLUDE_DIRECTORIES (${PYTHON_INCLUDE_PATH})

MESSAGE(STATUS "Python install dir is ${PYTHON_INSTALL_DIR}")

set (CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -fno-strict-aliasing")
set (CMAKE_C_FLAGS_DEBUG "${CMAKE_C_FLAGS_DEBUG} -fno-strict-aliasing")
set (CMAKE_C_FLAGS_RELEASE "${CMAKE_C_FLAGS_RELEASE} -fno-strict-aliasing")

SET (createrepo_cmodule_SRCS
     checksum-py.c
     compression_wrapper-py.c
     contentstat-py.c
     createrepo_cmodule.c
     exception-py.c
     load_metadata-py.c
     locate_metadata-py.c
     misc-py.c
     package-py.c
     parsepkg-py.c
     repomd-py.c
     repomdrecord-py.c
     sqlite-py.c
     typeconversion.c
     updatecollection-py.c
     updatecollectionmodule-py.c
     updatecollectionpackage-py.c
     updateinfo-py.c
     updaterecord-py.c
     updatereference-py.c
     xml_dump-py.c
     xml_file-py.c
     xml_parser-py.c
    )

ADD_LIBRARY(_createrepo_c SHARED ${createrepo_cmodule_SRCS})
SET_TARGET_PROPERTIES(_createrepo_c PROPERTIES PREFIX "")
SET_TARGET_PROPERTIES(_createrepo_c PROPERTIES LIBRARY_OUTPUT_DIRECTORY "./createrepo_c")
TARGET_LINK_LIBRARIES(_createrepo_c libcreaterepo_c)
TARGET_LINK_LIBRARIES(_createrepo_c
                        ${CURL_LIBRARY}
                     )

IF (SKBUILD)
    find_package(PythonExtensions REQUIRED)
    python_extension_module(_createrepo_c)
ELSE ()
    TARGET_LINK_LIBRARIES(_createrepo_c ${PYTHON_LIBRARY})
ENDIF ()

IF (NOT SKBUILD)
    FILE(COPY createrepo_c/__init__.py DESTINATION createrepo_c)
ENDIF()

IF (SKBUILD)
    INSTALL(FILES createrepo_c/__init__.py DESTINATION src/python/createrepo_c)
    INSTALL(TARGETS _createrepo_c LIBRARY DESTINATION src/python/createrepo_c)
ELSE ()
    INSTALL(FILES createrepo_c/__init__.py DESTINATION ${PYTHON_INSTALL_DIR}/createrepo_c)
    INSTALL(TARGETS _createrepo_c LIBRARY DESTINATION ${PYTHON_INSTALL_DIR}/createrepo_c)

    # Version has to be passed as last argument.
    INSTALL(CODE "EXECUTE_PROCESS(COMMAND ${PYTHON_EXECUTABLE} ${CMAKE_SOURCE_DIR}/utils/setup_for_python_metadata.py install_egg_info --install-dir \$ENV{DESTDIR}/${PYTHON_INSTALL_DIR} ${VERSION})")
ENDIF ()

=== debian/changelog ===
createrepo-c (0.17.0-1build2) jammy; urgency=medium

  * No-change rebuild with Python 3.10 as default version

 -- Graham Inggs <ginggs@ubuntu.com>  Thu, 13 Jan 2022 19:10:13 +0000

createrepo-c (0.17.0-1build1) jammy; urgency=medium

  * No-change rebuild against libssl3

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 08 Dec 2021 23:29:05 +0000

createrepo-c (0.17.0-1) unstable; urgency=medium

  * New upstream version:
    - update the python-path patch
    - explicitly enable delta RPM support, since it is off by default now
    - update the library symbols file
  * Add the years 2020 and 2021 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Fri, 12 Feb 2021 02:14:01 +0200

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: createrepo-c
 Section: utils
 Priority: optional
-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
 Build-Depends:
  bash-completion,
  check <!nocheck>,
@@ -25,7 +26,7 @@
  rpm <!nocheck>,
  zchunk <!nocheck>,
  zlib1g-dev
-Standards-Version: 4.5.0
+Standards-Version: 4.5.1
 Homepage: https://github.com/rpm-software-management/createrepo_c/
 #Vcs-Git: https://gitlab.com/confget/confget.git -b debian
 #Vcs-Browser: https://gitlab.com/confget/confget/tree/debian

=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,9 @@
 %:
 	dh "$@" --buildsystem cmake
 
+override_dh_auto_configure:
+	dh_auto_configure -- -DENABLE_DRPM=ON
+
 execute_after_dh_auto_test:
 	env PYTHONPATH='obj-${MARCH}/src/python' PATH="${CURDIR}/obj-${MARCH}/src:$$PATH" python3 -B '$D/tests/repotest.py' --source '$D/tests/pkg/foo-0.1.0' --spec '$D/tests/pkg/foo.spec'

=== debian/tests/control ===
Test-Command: python3 debian/tests/repotest.py --source debian/tests/pkg/foo-0.1.0 --spec debian/tests/pkg/foo.spec
Depends: @, gcc, make, python3, rpm, tar
Restrictions: allow-stderr
Features: test-name=repotest

## createrepo-c 0.17.3

=== src/CMakeLists.txt ===
SET (createrepo_c_SRCS
     checksum.c
     compression_wrapper.c
     createrepo_shared.c
     deltarpms.c
     dumper_thread.c
     error.c
     helpers.c
     load_metadata.c
     locate_metadata.c
     misc.c
     modifyrepo_shared.c
     package.c
     parsehdr.c
     parsepkg.c
     repomd.c
     sqlite.c
     threads.c
     updateinfo.c
     xml_dump.c
     xml_dump_deltapackage.c
     xml_dump_filelists.c
     xml_dump_other.c
     xml_dump_primary.c
     xml_dump_repomd.c
     xml_dump_updateinfo.c
     xml_file.c
     xml_parser.c
     xml_parser_filelists.c
     xml_parser_other.c
     xml_parser_primary.c
     xml_parser_repomd.c
     xml_parser_updateinfo.c
     koji.c)

SET(headers
    checksum.h
    compression_wrapper.h
    constants.h
    mergerepo_c.h
    createrepo_c.h
    deltarpms.h
    error.h
    helpers.h
    load_metadata.h
    locate_metadata.h
    misc.h
    modifyrepo_shared.h
    package.h
    parsehdr.h
    parsepkg.h
    repomd.h
    sqlite.h
    threads.h
    updateinfo.h
    version.h
    xml_dump.h
    xml_file.h
    koji.h
    xml_parser.h)

IF (BUILD_LIBCREATEREPO_C_SHARED)
  SET (createrepo_c_library_type SHARED)
ELSE ()
  SET (createrepo_c_library_type STATIC)
ENDIF ()
ADD_LIBRARY(libcreaterepo_c ${createrepo_c_library_type} ${createrepo_c_SRCS})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${BZIP2_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${CURL_LIBRARY})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${GLIB2_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${LIBMAGIC_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${LIBMODULEMD_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${LIBXML2_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${LZMA_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${OPENSSL_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${RPM_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${SQLITE3_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${ZLIB_LIBRARY})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${ZCK_LIBRARIES})
TARGET_LINK_LIBRARIES(libcreaterepo_c ${DRPM_LIBRARIES})

SET_TARGET_PROPERTIES(libcreaterepo_c PROPERTIES
                      OUTPUT_NAME "createrepo_c"
                      SOVERSION ${CR_MAJOR}
                      VERSION "${VERSION}"
                      COMPILE_DEFINITIONS "G_LOG_DOMAIN=\"${G_LOG_DOMAIN}\"")

ADD_EXECUTABLE(createrepo_c createrepo_c.c cmd_parser.c)
TARGET_LINK_LIBRARIES(createrepo_c
                        libcreaterepo_c
                        ${GLIB2_LIBRARIES}
                        ${GTHREAD2_LIBRARIES})

ADD_EXECUTABLE(mergerepo_c mergerepo_c.c)
TARGET_LINK_LIBRARIES(mergerepo_c
                        libcreaterepo_c
                        ${GLIB2_LIBRARIES}
                        ${GTHREAD2_LIBRARIES}
                        ${LIBMODULEMD_LIBRARIES})

ADD_EXECUTABLE(modifyrepo_c modifyrepo_c.c)
TARGET_LINK_LIBRARIES(modifyrepo_c
                        libcreaterepo_c
                        ${GLIB2_LIBRARIES}
                        ${GTHREAD2_LIBRARIES})

ADD_EXECUTABLE(sqliterepo_c sqliterepo_c.c)
TARGET_LINK_LIBRARIES(sqliterepo_c
                        libcreaterepo_c
                        ${GLIB2_LIBRARIES}
                        ${GTHREAD2_LIBRARIES})

CONFIGURE_FILE("createrepo_c.pc.cmake" "${CMAKE_SOURCE_DIR}/src/createrepo_c.pc" @ONLY)
CONFIGURE_FILE("version.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/version.h" @ONLY)
CONFIGURE_FILE("deltarpms.h.in" "${CMAKE_CURRENT_SOURCE_DIR}/deltarpms.h" @ONLY)

IF (CREATEREPO_C_INSTALL_DEVELOPMENT OR "${createrepo_c_library_type}" STREQUAL "SHARED")
    INSTALL(
        TARGETS libcreaterepo_c
        RUNTIME DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT RuntimeLibraries
        LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT RuntimeLibraries
        ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR} COMPONENT Development
        )
ENDIF (CREATEREPO_C_INSTALL_DEVELOPMENT OR "${createrepo_c_library_type}" STREQUAL "SHARED")

IF (CREATEREPO_C_INSTALL_DEVELOPMENT)
    INSTALL(FILES ${headers} DESTINATION "${CMAKE_INSTALL_INCLUDEDIR}/createrepo_c")
    INSTALL(FILES "createrepo_c.pc" DESTINATION "${CMAKE_INSTALL_LIBDIR}/pkgconfig")
ENDIF (CREATEREPO_C_INSTALL_DEVELOPMENT)

IF (NOT DEFINED BIN_INSTALL_DIR)
    SET(BIN_INSTALL_DIR "bin/")
ENDIF (NOT DEFINED BIN_INSTALL_DIR)
INSTALL(
    TARGETS
        createrepo_c
        mergerepo_c
        modifyrepo_c
        sqliterepo_c
    RUNTIME DESTINATION ${BIN_INSTALL_DIR} COMPONENT Runtime
    )

IF (ENABLE_PYTHON)
    ADD_SUBDIRECTORY(python)
ENDIF (ENABLE_PYTHON)

=== debian/changelog ===
createrepo-c (0.17.3-5) unstable; urgency=medium

  * Add the const-libxml2 upstream patch to fix FTBFS with a recent
    version of libxml2 which now returns a pointer to a const structure.
  * Add the sqlite-libxml2 upstream patch to fix another GCC 13 const
    warning/error. Closes: #1074321
  * Add the year 2024 to my debian/* copyright notice.
  * Use X-DH-Compat instead of debian/compat.
  * Let debhelper add some default dependencies automatically.
  * Use dpkg's default.mk in the rules file.
  * Reflow a rules file line for clarity.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no.
  * Use dh-package-notes to record ELF package metadata.
  * Refresh the Python code style of the autopkgtest runner.

 -- Peter Pentchev <roam@debian.org>  Fri, 28 Jun 2024 12:28:10 +0300

createrepo-c (0.17.3-4) unstable; urgency=medium

  * Fix time-print.patch for armhf/armel

 -- Luca Boccassi <bluca@debian.org>  Sun, 14 Apr 2024 15:27:33 +0100

createrepo-c (0.17.3-3) unstable; urgency=medium

  * Team upload.
  * Move to team maintenance
  * Add patch to fix FTBFS due to missing include (Closes: #1066292)
  * Add patch to fix printing 64bit time_t
  * Bump Standards-Version to 4.7.0, no changes
  * Remove egg-info on dh_auto_clean (Closes: #1045117)

 -- Luca Boccassi <bluca@debian.org>  Sat, 13 Apr 2024 15:29:16 +0100

createrepo-c (0.17.3-2) unstable; urgency=medium

  * Fix FTBFS with Python 3.11: use importlib.resources.files() instead of
    the deprecated .path(). Closes: #1027839, inspired by a patch by
    Sebastiaan Couwenber
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add the year 2023 to my debian/* copyright notice.

 -- Peter Pentchev <roam@debian.org>  Fri, 06 Jan 2023 00:16:32 +0200

createrepo-c (0.17.3-1) unstable; urgency=medium

  * Declare compliance with Debian Policy 4.6.0 with no changes.
  * Use debhelper compat 14 for the CMake fixes and add LD_LIBRARY_PATH
    to the build-time test's environment.
  * New upstream release:
    - uses pkg-config instead of the custom CMake "find a library" files
    - uses Python's unittest module instead of nose to run the tests, so
      drop the nosetests3 patch; Closes: #1018332
    - refresh the python-path patch
    - add python3-setuptools and python3-skbuild as build-time dependencies
    - add the python-skbuild-path and python-platlib-debian patches
  * Add the year 2022 to my debian/* copyright notice.
  * Declare compliance with Policy 4.6.1 with no changes.
  * Also drop python3-nose as a dependency for libcreaterepo-c-dev.

 -- Peter Pentchev <roam@debian.org>  Mon, 05 Sep 2022 16:28:57 +0300

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,16 @@
 Source: createrepo-c
 Section: utils
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Peter Pentchev <roam@debian.org>
+Maintainer: RPM packaging team <team+pkg-rpm@tracker.debian.org>
+Uploaders: Peter Pentchev <roam@debian.org>,
 Build-Depends:
  bash-completion,
  check <!nocheck>,
  cmake,
- debhelper-compat (= 13),
+ debhelper (>> 13.15.2~),
+ dh-package-notes,
  dh-sequence-python3,
+ dpkg-build-api (= 1),
  libbz2-dev,
  libcurl4-openssl-dev,
  libdrpm-dev,
@@ -22,22 +24,22 @@
  libxml2-dev,
  libzck-dev,
  python3-dev,
- python3-nose <!nocheck>,
+ python3-click <!nocheck>,
+ python3-setuptools,
+ python3-skbuild,
  rpm <!nocheck>,
  zchunk <!nocheck>,
  zlib1g-dev
-Standards-Version: 4.5.1
+X-DH-Compat: 14
+Standards-Version: 4.7.0
 Homepage: https://github.com/rpm-software-management/createrepo_c/
-#Vcs-Git: https://gitlab.com/confget/confget.git -b debian
-#Vcs-Browser: https://gitlab.com/confget/confget/tree/debian
-Rules-Requires-Root: no
+Vcs-Git: https://salsa.debian.org/pkg-rpm-team/createrepo-c.git
+Vcs-Browser: https://salsa.debian.org/pkg-rpm-team/createrepo-c
 
 Package: createrepo-c
 Architecture: any
 Depends:
  libcreaterepo-c0 (= ${binary:Version}),
- ${shlibs:Depends},
- ${misc:Depends}
 Multi-Arch: foreign
 Description: tool to create RPM repository metadata (C implementation)
  The createrepo_c tool generates the repodata directory and XML metadata that
@@ -50,7 +52,6 @@
 Package: libcreaterepo-c0
 Section: libs
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
 Multi-Arch: same
 Description: library for creating RPM repository metadata
  The createrepo tool generates the repodata directory and XML metadata that
@@ -74,9 +75,7 @@
  libssl-dev,
  libsqlite3-dev,
  libxml2-dev,
- python3-nose,
  zlib1g-dev,
- ${misc:Depends}
 Multi-Arch: same
 Description: library for creating RPM repository metadata (development)
  The createrepo tool generates the repodata directory and XML metadata that
@@ -91,9 +90,6 @@
 Architecture: any
 Depends:
  libcreaterepo-c0 (= ${binary:Version}),
- ${python3:Depends},
- ${shlibs:Depends},
- ${misc:Depends}
 Multi-Arch: foreign
 Description: library for creating RPM repository metadata (Python bindings)
  The createrepo tool generates the repodata directory and XML metadata that

=== debian/tests/control ===
Test-Command: python3 debian/tests/repotest.py --source debian/tests/pkg/foo-0.1.0 --spec debian/tests/pkg/foo.spec
Depends: @, gcc, make, python3, python3-click, rpm, tar
Restrictions: allow-stderr
Features: test-name=repotest
